<template>
  <v-card flat>
    <v-card-text>
      <v-row align="center" justify="center">
        <v-col cols="4">
          <v-subheader>Baud rate</v-subheader>
        </v-col>
        <v-col cols="4">
          <v-select
            @input="setBaudRate"
            v-model="selected_baudrate"
            :items="baud_rates"
            item-value="id"
            item-text="value"
          ></v-select>
        </v-col>
      </v-row>
      <v-row align="center" justify="center">
        <v-col cols="4">
        </v-col>
        <v-col cols="4"></v-col>
      </v-row>
    </v-card-text>
  </v-card>
</template>

<script>
export default {
  name: "ConnectionSettings",
  data: () => ({
    selected_baudrate: 0,
    baud_rates: [
      {
        id: 0,
        value: 921600,
      },
      {
        id: 1,
        value: 460800,
      },
      {
        id: 2,
        value: 230400,
      },
      {
        id: 3,
        value: 115200,
      },
      {
        id: 4,
        value: 57600,
      },
    ],
  }),
  methods: {
    setBaudRate() {
      console.log();
      this.$store.dispatch("connection/updateSerial", {baudrate: this.baud_rates[this.selected_baudrate].value});
    }
  },
  computed: {
    baudrate() {
      return this.$store.getters["connection/serial"].baudrate;
    },
  },
};
</script>